<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_bfe6642a5b68bf0dfbe0e38d0c9f" . "9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3RfaWQgRlJPTSBzdGF" . "0X3ZpZXdzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORC" . "A="), "_31fe0e29fdfc834b" . "f81efd515f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aW" . "V3cyBERVNDLCB1bmlxdWVfdmlld2VycyBERVNDLCBv" . "YmplY3RfaWQgQVND"), "_8a2c4179b7145f57e03" . "893c306413ae2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdm" . "lld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1" . "ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2" . "dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "aggre" . "gatio" . "n" => base64_decode("YWdncmVnYXRp" . "b24="), "_c3632c3" . "0d13c067" . "8877605a" . "29c10c42" . "8" => base64_decode("IEdST1VQIEJZIG9iamVjdF" . "9pZCkgdA=="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8a2c4179b7145f57e0389" . "3c306413ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_31fe0e29fdfc834" . "bf81efd515f8390b" . "2"]);
        $query->Bind($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["agg" . "reg" . "ati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bfe6642" . "a5b68bf0" . "dfbe0e38" . "d0c9f9bb" . "3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c3632c30d13c06" . "78877605a29c10c" . "428"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}